Skip to main content
POST
/
v1
/
kyc
/
score
KYC Score
curl --request POST \
  --url https://api.kiriku.app/v1/kyc/score \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "extractionId": "<string>",
  "selfieBase64": "<string>",
  "enableAml": true
}
'
{
  "kycScore": 123,
  "riskLevel": "low",
  "recommendation": "APPROVE",
  "breakdown": {
    "ocrConfidence": 123,
    "livenessScore": 123,
    "faceMatchScore": 123,
    "amlClear": true
  },
  "verifiedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
extractionId
string
required

The ID of a completed extraction.

selfieBase64
string
required

Base64 encoded selfie image.

enableAml
boolean

Whether to perform an AML check.

Response

200 - application/json

KYC score calculated successfully

kycScore
number
riskLevel
enum<string>
Available options:
low,
medium,
high,
critical
recommendation
enum<string>
Available options:
APPROVE,
REVIEW,
REJECT
breakdown
object
verifiedAt
string<date-time>